# Ecommerce
![Ecommerce Architecture Diagram](https://gitlab.mynisum.com/ascend/ecommerce/blob/master/ecom-web/src/resources/images/Ecommerce%20Architecture%20Diagram.jpeg)

## Tech Stack
- Back-end(API, Services, Databases): 
  - Java, 
  - SpringBoot, 
  - WebFlux
  - WebClient
  - MongoDB
- Front-end(Web UI/UX Development)
  - React/Redux
  - HTML/CSS

## Schema

Field       | Type      | Description
----------- | --------- | ------------
Id          | String    | Generated from internal set of rules
email       | Email     | User email
firstName   | String    | User first name
lastName    | String    | User last name
password    | String    | User password
accessToken | String    | Generated session token from Google SSO
cart        | Array     | List of products in the user's cart
createdAt   | Datetime  | Date and time of creation

### User Sample State
```json
User001: {
  "id": TBD,
  "email": "email@email.com",
  "firstName": "Something",
  "lastName": "Something",
  "sessionToken": "flkjafu4p38joi34j1p541kjefghg",
  "cart": [item1, item2, item3, item4]
}
```