package com.nisum.ecomservice.dto;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class Order {

    @JsonCreator
    public Order(
        @JsonProperty("id") String id,
        @JsonProperty("customerId") String customerId,
        @JsonProperty("customerEmailAddress") String customerEmailAddress,
        @JsonProperty("orderTrackingCode") String orderTrackingCode,
        @JsonProperty("orderStatus") String orderStatus,
        @JsonProperty("orderCreatedAt") Double orderCreatedAt,
        @JsonProperty("orderUpdatedAt") Double orderUpdatedAt,
        @JsonProperty("orderItems") List<OrderItemParse> orderItems,
        @JsonProperty("customerAddress") OrderAddressParse customerAddress
    ){
        this.id = id;
        this.customerAddress = customerAddress;
        this.customerId = customerId;
        this.customerEmailAddress = customerEmailAddress;
        this.orderTrackingCode = orderTrackingCode;
        this.orderStatus = orderStatus;
        this.orderCreatedAt = orderCreatedAt;
        this.orderUpdatedAt = orderUpdatedAt;
        this.orderItems = orderItems;
    }

    private String id;
    private String customerId;
    private String customerEmailAddress;
    private String orderTrackingCode;
    private String orderStatus;
    private Double orderCreatedAt;
    private Double orderUpdatedAt;
    private List<OrderItemParse> orderItems;
    private OrderAddressParse customerAddress;

}
