package com.nisum.ecomservice.model;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class Product {

    private String id;
    private String sku;
    private String upc;
    private String productName;
    private String productDescription;
    private Float price;
    private Integer availableStock;
    private Integer blockedStock;
    private String productImageUrl;
    private String brand;
    private String category;

    @JsonCreator
    public Product(
            @JsonProperty("id") String id,
            @JsonProperty("sku") String sku,
            @JsonProperty("upc") String upc,
            @JsonProperty("productName") String productName,
            @JsonProperty("productDescription") String productDescription,
            @JsonProperty("price") Float price,
            @JsonProperty("availableStock") Integer availableStock,
            @JsonProperty("blockedStock") Integer blockedStock,
            @JsonProperty("productImageUrl") String productImageUrl,
            @JsonProperty("brand") String brand,
            @JsonProperty("category") String category
    ){
        this.id = id;
        this.sku = sku;
        this.upc = upc;
        this.productName = productName;
        this.productDescription = productDescription;
        this.price = price;
        this.availableStock = availableStock;
        this.blockedStock = blockedStock;
        this.productImageUrl = productImageUrl;
        this.brand = brand;
        this.category = category;
    }
}
