import React from 'react';
import { Provider } from 'react-redux'
import { BrowserRouter, Route, Switch, Redirect } from 'react-router-dom';
import SessionContainer from './session/session-container';
import ProductMarketContainer from './product-market/product-market-container';
import ShoppingCartContainer from './shopping-cart/shopping-cart-container';
import CheckoutContianer from './checkout/checkout-container';
import OrderHistoryContainer from './order-history/order-history';

const Root = ({ store }) => (
  <Provider store={ store }>
    <BrowserRouter>
      <Switch>
        <Route
          exact path="/"
          render={() => {
              return (
                // this.state.isUserAuthenticated ? // This can be changed for however our frontend user auth will operate
                // <Redirect to="/product-market" /> :
                <Redirect to="/product-market" /> 
              )
          }}
        />
        <Route path="/session" component={ SessionContainer } /> { /* this can be removed if never used */ }
        <Route path="/product-market" component={ ProductMarketContainer } />
        <Route path="/cart" component={ ShoppingCartContainer } />
        <Route path="/checkout" component={ CheckoutContianer } />
        <Route path="/orders" component={ OrderHistoryContainer } />
      </Switch>
    </BrowserRouter>
  </Provider>
)

export default Root;