import React, {useState, useEffect} from 'react'
import CartItem from './CartItem.js'
import './shopping-cart.css'

export default function ShoppingCart() {
    
    const [cartItems, setCartItems] = useState([])

    // load the json containing user's cart items
    useEffect( () => {
        setCartItems(
            [
                {
                  "id": 1,
                  "sku": 1,
                  "upc": 1,
                  "productName": "UMYOGO Mens Athletic Walking Blade Running Tennis Shoes",
                  "productDescription": "Rubber sole Rubber material of sole possesses high durability for prolonging the wearing time of our shoes.\nThe elastic blade soles have high flexibility which allows the shoes to bend strongly while doing sports.\nKnit upper material make it possible that your feet free breath when you run or walk.\nIt's soft and protective to cushion your every step",
                  "price": 45.00,
                  "availableStock": 100,
                  "blockedStock": 20,
                  "productImageUrl": "https://images-na.ssl-images-amazon.com/images/I/71djekdy4eL._AC_UY695_.jpg",
                  "brand": "UMYOGO",
                  "category": "shoe",
                  "quantity": 2
                },
                {
                  "id": 2,
                  "sku": 2,
                  "upc": 2,
                  "productName": "adidas Women's Cloudfoam Pure Running Shoe",
                  "productDescription": "100% Synthetic\nImported\nRubber sole\nPlatform measures approximately 0-3 inches\nBoot opening measures approximately 6-12 inches around\nWomen's specific fit\nCloudfoam memory sockliner and textile lining",
                  "price": 50.00,
                  "availableStock": 100,
                  "blockedStock": 20,
                  "productImageUrl": "https://images-na.ssl-images-amazon.com/images/I/71G0sB8FnFL._AC_UX695_.jpg",
                  "brand": "Adidas",
                  "category": "shoe"
                },
                {
                  "id": 3,
                  "sku": 3,
                  "upc": 3,
                  "productName": "Merrell Men's Moab 2 Vent Hiking Shoe",
                  "productDescription": "100% suede leather, mesh\nImported\nSynthetic sole\nPerformance suede leather and mesh upper\nBellows, closed-cell foam tongue keeps moisture and debris out",
                  "price": 100.00,
                  "availableStock": 100,
                  "blockedStock": 20,
                  "productImageUrl": "https://images-na.ssl-images-amazon.com/images/I/81m9GyEmoRL._AC_UX695_.jpg",
                  "brand": "Merrell",
                  "category": "shoe"
                },
                {
                  "id": 4,
                  "sku": 4,
                  "upc": 4,
                  "productName": "Nike Women's Training Basketball Shoe",
                  "productDescription": "Rubber\nBrand New\n100% Authentic\nOriginal Packaging",
                  "price": 85.00,
                  "availableStock": 100,
                  "blockedStock": 20,
                  "productImageUrl": "https://images-na.ssl-images-amazon.com/images/I/71zKmTHcHUL._AC_UX695_.jpg",
                  "brand": "Nike",
                  "category": "shoe"
                },
                {
                  "id": 5,
                  "sku": 5,
                  "upc": 5,
                  "productName": "adidas Men's Daily 3.0 Skate Shoe",
                  "productDescription": "100% Leather\nRubber sole\nadidas Mens Skate Shoe\nThe adidas brand has a long history and deep-rooted connection with sport. Everything we do is rooted in sport",
                  "price": 85.00,
                  "availableStock": 100,
                  "blockedStock": 20,
                  "productImageUrl": "https://images-na.ssl-images-amazon.com/images/I/71NVcBO0LEL._AC_UX695_.jpg",
                  "brand": "Adidas",
                  "category": "shoe"
                },
                {
                  "id": 6,
                  "sku": 6,
                  "upc": 6,
                  "productName": "Amazon Basics Lightweight Soft Easy Care Microfiber Pillowcases - 2-Pack, Black",
                  "productDescription": "100% Polyester\nImported\nIncludes two 20 x 30 inch standard-size pillowcases\nPolyester microfiber offers strength and exceptional softness",
                  "price": 8.99,
                  "availableStock": 100,
                  "blockedStock": 20,
                  "productImageUrl": "https://images-na.ssl-images-amazon.com/images/I/818vTEo5TPL._AC_SX679_.jpg",
                  "brand": "Amazon Basics",
                  "category": "pillow case"
                },
                {
                  "id": 7,
                  "sku": 7,
                  "upc": 7,
                  "productName": "Pillowcase Set of 2 Durable Chair Cushion, Chair Pad Filled Cotton",
                  "productDescription": "Comfortable Thickness: Seat pad with a thickness of 10 cm is sufficient to relieve stress, so if you sit for a long time, you will feel its warmth and softness.",
                  "price": 42.99,
                  "availableStock": 100,
                  "blockedStock": 20,
                  "productImageUrl": "https://images-na.ssl-images-amazon.com/images/I/61Txdww5uXS._AC_SX679_.jpg",
                  "brand": "PillowCase",
                  "category": "pillow case"
                },
                {
                  "id": 8,
                  "sku": 8,
                  "upc": 8,
                  "productName": "Amazon Basics Lightweight Soft Easy Care Microfiber Pillowcases - 2-Pack, Navy Blue",
                  "productDescription": "100% Polyester\nImported\nIncludes two 20 x 30 inch standard-size pillowcases\nPolyester microfiber offers strength and exceptional softness",
                  "price": 8.99,
                  "availableStock": 100,
                  "blockedStock": 20,
                  "productImageUrl": "https://images-na.ssl-images-amazon.com/images/I/81jZRRyZCfL._AC_SX679_.jpg",
                  "brand": "Amazon Basics",
                  "category": "pillow case"
                },
                {
                  "id": 9,
                  "sku": 9,
                  "upc": 9,
                  "productName": "Bedsure Bamboo Pillow Cases Queen Set of 2 - Cooling Ultra Soft Pillowcases",
                  "productDescription": "Bamboo-derived Rayon\nExceptionally Bamboo Texture: Bedsure queen Pillowcases layer your sleep space with an irresistibly sleek sateen finish to transform your bed into a luxurious retreat - Slip in feathery soft pillowcases to have a dreamy rest as if you are sleeping on a cloud and also wake up with cool feelings - Silky smooth to the touch, bamboo pillowcase queen glides over your hair and face to create a beauty sleep.",
                  "price": 11.04,
                  "availableStock": 100,
                  "blockedStock": 20,
                  "productImageUrl": "https://images-na.ssl-images-amazon.com/images/I/61IdiIz3qML._AC_SX679_.jpg",
                  "brand": "BedSure",
                  "category": "pillow case"
                },
                {
                  "id": 10,
                  "sku": 10,
                  "upc": 10,
                  "productName": "Amazon Basics Lightweight Soft Easy Care Microfiber Pillowcases - 2-Pack, Taupe",
                  "productDescription": "100% Polyester\nImported\nIncludes two 20 x 30 inch standard-size pillowcases\nPolyester microfiber offers strength and exceptional softness",
                  "price": 8.99,
                  "availableStock": 100,
                  "blockedStock": 20,
                  "productImageUrl": "https://images-na.ssl-images-amazon.com/images/I/91GB7gHxSuL._AC_SX679_.jpg",
                  "brand": "Amazon Basics",
                  "category": "pillow case"
                }
            ]
        )

    }, [] )
    
    
    return (
            <div id="shoppingCartContainer">

                {/* map each cart item into CartItem component */}


                {cartItems.map( (currItem) => {
                    return (
                        <CartItem productInfo={currItem} />
                    )
                })}
                
            </div>
    )
}
